Passer au contenu principal
POST
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
invitations
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Organizations.Invitations.CreateAsync(
            id: "id",
            request: new CreateOrganizationInvitationRequestContent {
                Inviter = new OrganizationInvitationInviter {
                    Name = "name"
                },
                Invitee = new OrganizationInvitationInvitee {
                    Email = "email"
                },
                ClientId = "client_id"
            }
        );
    }

}
package example

import (
context "context"

management "github.com/auth0/go-auth0/management/management"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
organizations "github.com/auth0/go-auth0/management/management/organizations"
)

func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
request := &organizations.CreateOrganizationInvitationRequestContent{
Inviter: &management.OrganizationInvitationInviter{
Name: "name",
},
Invitee: &management.OrganizationInvitationInvitee{
Email: "email",
},
ClientId: "client_id",
}
client.Organizations.Invitations.Create(
context.TODO(),
"id",
request,
)
}
package com.example.usage;

import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.resources.organizations.invitations.requests.CreateOrganizationInvitationRequestContent;
import com.auth0.client.mgmt.types.OrganizationInvitationInvitee;
import com.auth0.client.mgmt.types.OrganizationInvitationInviter;

public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();

client.organizations().invitations().create(
"id",
CreateOrganizationInvitationRequestContent
.builder()
.inviter(
OrganizationInvitationInviter
.builder()
.name("name")
.build()
)
.invitee(
OrganizationInvitationInvitee
.builder()
.email("email")
.build()
)
.clientId("client_id")
.build()
);
}
}
<?php

namespace Example;

use Auth0\SDK\API\Management\Management;
use Auth0\SDK\API\Management\Organizations\Invitations\Requests\CreateOrganizationInvitationRequestContent;
use Auth0\SDK\API\Management\Types\OrganizationInvitationInviter;
use Auth0\SDK\API\Management\Types\OrganizationInvitationInvitee;

$client = new Management(
token: '<token>',
);
$client->organizations->invitations->create(
'id',
new CreateOrganizationInvitationRequestContent([
'inviter' => new OrganizationInvitationInviter([
'name' => 'name',
]),
'invitee' => new OrganizationInvitationInvitee([
'email' => 'email',
]),
'clientId' => 'client_id',
]),
);
from auth0.management import ManagementClient, OrganizationInvitationInviter, OrganizationInvitationInvitee

client = ManagementClient(
token="<token>",
)

client.organizations.invitations.create(
id="id",
inviter=OrganizationInvitationInviter(
name="name",
),
invitee=OrganizationInvitationInvitee(
email="email",
),
client_id="client_id",
)
require "auth0"

client = Auth0::Management.new(token: "<token>")

client.organizations.invitations.create(
id: "id",
inviter: {
name: "name"
},
invitee: {
email: "email"
},
client_id: "client_id"
)
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.organizations.invitations.create("id", {
inviter: {
name: "name",
},
invitee: {
email: "email",
},
clientId: "client_id",
});
}
main();
import { ManagementClient } from "auth0";

async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.organizations.invitations.create("id", {
inviter: {
name: "name",
},
invitee: {
email: "email",
},
clientId: "client_id",
});
}
main();
curl --request POST \
--url https://{tenantDomain}/api/v2/organizations/{id}/invitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inviter": {
"name": "Jane Doe"
},
"invitee": {
"email": "john.doe@gmail.com"
},
"client_id": "AaiyAPdpYdesoKnqjj8HJqRn4T5titww",
"connection_id": "con_0000000000000001",
"app_metadata": {},
"user_metadata": {},
"ttl_sec": 1296000,
"roles": [
"<string>"
],
"send_invitation_email": true
}
'
{
  "id": "uinv_0000000000000001",
  "organization_id": "<string>",
  "inviter": {
    "name": "Jane Doe"
  },
  "invitee": {
    "email": "john.doe@gmail.com"
  },
  "invitation_url": "https://mycompany.org/login?invitation=f81dWWYW6gzGGicxT8Ha0txBkGNcAcYr&organization=org_0000000000000001&organization_name=acme",
  "created_at": "2020-08-20T19:10:06.299Z",
  "expires_at": "2020-08-27T19:10:06.299Z",
  "client_id": "AaiyAPdpYdesoKnqjj8HJqRn4T5titww",
  "connection_id": "con_0000000000000001",
  "app_metadata": {},
  "user_metadata": {},
  "roles": [
    "<string>"
  ],
  "ticket_id": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

En-têtes

auth0-custom-domain
string

Custom domain to be used for this request

Required string length: 3 - 255

Paramètres de chemin

id
string
requis

Organization identifier.

Maximum string length: 50

Corps

inviter
object
requis
invitee
object
requis
client_id
string<client-id>
défaut:AaiyAPdpYdesoKnqjj8HJqRn4T5titww
requis

Auth0 client ID. Used to resolve the application's login initiation endpoint.

connection_id
string<connection-id>
défaut:con_0000000000000001

The id of the connection to force invitee to authenticate with.

app_metadata
object

Data related to the user that does affect the application's core functionality.

user_metadata
object

Data related to the user that does not affect the application's core functionality.

ttl_sec
integer

Number of seconds for which the invitation is valid before expiration. If unspecified or set to 0, this value defaults to 604800 seconds (7 days). Max value: 2592000 seconds (30 days).

Plage requise: 0 <= x <= 2592000
roles
string<role-id>[]

List of roles IDs to associated with the user.

Minimum array length: 1
send_invitation_email
boolean
défaut:true

Whether the user will receive an invitation email (true) or no email (false), true by default

Réponse

Invitation successfully created.

id
string<user-invitation-id>
défaut:uinv_0000000000000001

The id of the user invitation.

organization_id
string<organization-id>

Organization identifier.

Maximum string length: 50
inviter
object
invitee
object
invitation_url
string<strict-https-uri>
défaut:https://mycompany.org/login?invitation=f81dWWYW6gzGGicxT8Ha0txBkGNcAcYr&organization=org_0000000000000001&organization_name=acme

The invitation url to be send to the invitee.

created_at
string<date-time>
défaut:2020-08-20T19:10:06.299Z

The ISO 8601 formatted timestamp representing the creation time of the invitation.

expires_at
string<date-time>
défaut:2020-08-27T19:10:06.299Z

The ISO 8601 formatted timestamp representing the expiration time of the invitation.

client_id
string<client-id>
défaut:AaiyAPdpYdesoKnqjj8HJqRn4T5titww

Auth0 client ID. Used to resolve the application's login initiation endpoint.

connection_id
string<connection-id>
défaut:con_0000000000000001

The id of the connection to force invitee to authenticate with.

app_metadata
object

Data related to the user that does affect the application's core functionality.

user_metadata
object

Data related to the user that does not affect the application's core functionality.

roles
string<role-id>[]

List of roles IDs to associated with the user.

Minimum array length: 1
ticket_id
string<ticket-id>

The id of the invitation ticket